8 Replies Latest reply on Jul 13, 2009 5:03 AM by Subin Sugunan

    Deplyoment failing in jboss-5.1.0.GA

    Subin Sugunan Newbie

      I was using jboss-4.2.1.GA for the deployment , and when I moved the war to jboss-5.1.0.GA , I'm getting XML parser errors.


      =========================================
      Caused by: org.jboss.xb.binding.JBossXBException: Failed to create a new SAX
      parser
      at
      org.jboss.xb.binding.parser.sax.SaxJBossXBParser.(SaxJBossXBParser.java:97)
      at
      org.jboss.xb.binding.UnmarshallerImpl.(UnmarshallerImpl.java:56)
      at
      org.jboss.xb.binding.UnmarshallerFactory$UnmarshallerFactoryImpl.newUnmarshaller(UnmarshallerFactory.java:96)
      ... 73 more
      Caused by: java.lang.ClassCastException:
      org.apache.xerces.parsers.XML11Configuration cannot be cast to
      org.apache.xerces.xni.parser.XMLParserConfiguration
      at org.apache.xerces.parsers.SAXParser.(Unknown Source)
      at org.apache.xerces.parsers.SAXParser.(Unknown Source)
      at org.apache.xerces.jaxp.SAXParserImpl$JAXPSAXParser.(Unknown
      Source)
      at org.apache.xerces.jaxp.SAXParserImpl.(Unknown Source)
      at org.apache.xerces.jaxp.SAXParserFactoryImpl.newSAXParser(Unknown
      Source)
      at
      org.jboss.xb.binding.parser.sax.SaxJBossXBParser.(SaxJBossXBParser.java:92)

      =========================================

      Anybody faced this before ?

      Thanks
      Subin